Bug 213631 - [patch] devel/libastylej: Fix typo, make more friendly towards incoming slave port
Summary: [patch] devel/libastylej: Fix typo, make more friendly towards incoming slave...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Boris Samorodov
URL:
Keywords: patch
Depends on:
Blocks: 213632
  Show dependency treegraph
 
Reported: 2016-10-19 23:37 UTC by Kyle Evans
Modified: 2016-10-21 22:31 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (bsam)


Attachments
svn(1) diff of devel/libastylej to fix typo and prepend PKGNAMEPREFIX to installed files (1.24 KB, patch)
2016-10-19 23:37 UTC, Kyle Evans
no flags Details | Diff
Revised svn(1) diff of devel/libastylej to fix typo and make more friendly towards incoming slave port (1.24 KB, patch)
2016-10-20 00:55 UTC, Kyle Evans
no flags Details | Diff
Re-revised svn(1) diff of devel/libastylej (1.22 KB, patch)
2016-10-20 14:25 UTC, Kyle Evans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle Evans freebsd_committer 2016-10-19 23:37:44 UTC
Created attachment 175954 [details]
svn(1) diff of devel/libastylej to fix typo and prepend PKGNAMEPREFIX to installed files

Hello!

Two things:

* Fixes typo: ASTER_SITES => MASTER_SITES
* Use PKGNAMEPREFIX to differentiate different libastylej's

With this change, any slave ports (incoming devel/arduino-libastylej) then set PKGNAMEPREFIX= to differentiate and this properly prefixes the two installed .so's with PKGNAMEPREFIX that the slave ports' consumers (incoming devel/arduino16) may use.
Comment 1 Kyle Evans freebsd_committer 2016-10-20 00:55:53 UTC
Created attachment 175958 [details]
Revised svn(1) diff of devel/libastylej to fix typo and make more friendly towards incoming slave port

It was brought to my attention that not using the 'lib$x' format was poor form, so I've revised this to use lib${PKGNAMEPREFIX}astylej... form, instead. This does create a disconnect between the package name for the slave port (arduino-libastylej) and the library it installs (libarduino-astylej...), but I don't believe this is all too important, given that:

1.) This is Arduino-specific, and not useful in *any* other scenario.
2.) The devel/arduino-libastylej naming is still quite valid, given that it is the Arduino-tailored version of libastylej.

Any other slave port use case would generally be just as peculiar, and likely is a non-issue.
Comment 2 Kyle Evans freebsd_committer 2016-10-20 14:25:01 UTC
Created attachment 175974 [details]
Re-revised svn(1) diff of devel/libastylej

Alright, for real this time. =p

It came to my attention through running the proposed slave port through a poudriere test run that this port didn't actually fetch at all, even with my proposed changes, because of a wrong MASTER_SITES -- replace the ${PORTNAME} instances with astyle, because ... parent project.
Comment 3 commit-hook freebsd_committer 2016-10-21 22:29:41 UTC
A commit references this bug:

Author: bsam
Date: Fri Oct 21 22:29:37 UTC 2016
New revision: 424438
URL: https://svnweb.freebsd.org/changeset/ports/424438

Log:
  devel/libastylej: fix MASTER_SITES, prepare the port to be used as a master one.

  PR:		213631 (based on)
  Submitted by:	Kyle Evans <bsdports@kyle-evans.net>

Changes:
  head/devel/libastylej/Makefile
Comment 4 Boris Samorodov freebsd_committer 2016-10-21 22:31:45 UTC
Committed, thanks!
I've done some light changes, mainly PKGNAMEPREFIX->PKGNAMESUFFIX.